Microsimulation API

Classes | Functions
rcpp_table.h File Reference
`#include <Rcpp.h>`
`#include <functional>`
`#include <tuple>`
`#include <set>`
Include dependency graph for rcpp_table.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes
class | Interpolate
class | NumericInterpolate
class | DataFrameSelect< T >
struct | null_type
| A table class for lookups. For the case of a single key, this is a small extension to std::map, including the ability to read columns from a DataFrame. Looking up a key which is less than the lowest key value will use the lowest key. More...
class | Table< I0, I1, I2, I3, I4, Outcome >
class | Table< I0, I1, I2, I3, Outcome >
class | Table< I0, I1, I2, Outcome >
class | Table< I0, I1, Outcome >
class | Table< key_type, mapped_type >

## Functions
template<class T >
T | set_lower_bound (set< T, greater< T > > aset, T value)

## Function Documentation

## ◆ set_lower_bound()

template<class T >

T set_lower_bound | ( | set< T, greater< T > > | aset,
|  | T | value
| ) |  |

Definition at line 115 of file rcpp_table.h.